Subject: Re: NNCP Services

From: Sergey Matveev <[email-masked]>
Date: Mon, 11 Oct 2021 11:07:17 +0300

*** Koushik Roy [2021-10-10 21:59]:
>Also, is there any group of folks exchanging mail over NNCP?

Initially NNCP was written for replacing UUCP as a transport for email.
For 10+ years I have not used POP3/IMAP4 for mail delivery to my laptop
(or other computer) at all. At the beginning my intermediate SMTP relay
server just waited when my end-point computer (laptop) will be available
and it will flush its queue over SMTP directly to it. Often I logged in
and manually called "postqueue -f". Later I switched to UUCP-over-SSH
transport and used it for years. And 5+ years ago I wrote NNCP as a
replacement. Since the very beginning of its existence it is used as a
transport for email (SMTP <-> NNCP <-> SMTP).

Also I extensively use it for files transmission: fire-and-forget
nncp-file invocations to send backups and everything I have to send to
other servers not immediately. Several dozens of files every day and all
email correspondence uses NNCP. Most time data transmissions use online
protocol, but at least once per week I use intermediate storage for transfer.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF